import { ChainEntityBase, Change, Created, EntityFilter, Info } from '@yukawa/chain-base-angular-domain';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.group.Group <br/>
*/
export interface Group extends ChainEntityBase, Created {
    change?: Change;
    created?: Change;
    info?: Info;
    /**
    *	@example users
    */
    name: string;
    /**
    *	@example all
    */
    parentId?: string;
    roles: string[];
    /**
    *	@example system
    */
    type?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.group.GroupFilter <br/>
*/
export interface GroupFilter extends EntityFilter {
    /**
    *	@example ADMINS
    */
    groupName?: string;
    /**
    *	@example system
    */
    type?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.group.Membership <br/>
*/
export interface Membership {
    /**
    *	@example users
    */
    groupName: string;
    usernames: string[];
}
