import { ChainEntity, Change, Changed, EntityFilter, Info } from '@yukawa/chain-base-angular-domain';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.setting.Setting <br/>
*/
export interface Setting extends ChainEntity, Changed, Info {
    change?: Change;
    /**
    *	@example default central storage location
    */
    readonly desc?: string;
    /**
    *	@example main
    */
    module: string;
    /**
    *	@example Central Storage Location
    */
    readonly name?: string;
    /**
    *	@example storage.location.central
    */
    readonly shortName: string;
    /**
    *	@example 1337
    */
    value: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.setting.SettingFilter <br/>
*/
export interface SettingFilter extends EntityFilter {
    /**
    *	@example stock
    */
    module?: string;
    /**
    *	@example storage*
    */
    shortName?: string;
}
